# 7.1 needs a few extra macros
%define build_71 0

%define name rpm
%define version macros
%define release 1mdk

Summary: compatibility macros for old distributions
Name: rpm-macros
Version: 8.2
Release: 0.2mdk
Source0: macros.updates
Source1: macros.updates-7.1
License: GPL
Group: System/Configuration/Packaging
PreReq: grep
Requires: rpm-build
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Install this package if you want the latest macros used by more modern
Mandrake Linux distributions.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rpm
%if %{build_71}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/rpm/macros
%else
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/etc/rpm/macros
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post

# the trick can be used only once else the macros will be included twice
if [ -f /etc/rpm/macros.rpmnew ] && ! grep -q 'update macros (do not remove this comment)' /etc/rpm/macros; then
	echo "Merging new macros into /etc/rpm/macros..."
	cat /etc/rpm/macros.rpmnew >> /etc/rpm/macros && rm -f /etc/rpm/macros.rpmnew
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/rpm/macros

%changelog
* Mon Jun 24 2002 Vincent Danen <vdanen@mandrakesoft.com> 8.2-0.2mdk
- warn people of the macros merge
- add some missing macros for 7.1; use build_71 if rebuilding for 7.1

* Fri May 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 8.2-0.1mdk
- first version

# end of file
